=== modified file 'bzrlib/lockdir.py'
--- bzrlib/lockdir.py	2007-07-03 09:23:17 +0000
+++ bzrlib/lockdir.py	2007-07-03 09:24:45 +0000
@@ -249,8 +249,11 @@
         dirs don't clutter up the lockdir.
         """
         self._trace("remove %s", tmpname)
-        self.transport.delete(tmpname + self.__INFO_NAME)
-        self.transport.rmdir(tmpname)
+        try:
+            self.transport.delete(tmpname + self.__INFO_NAME)
+            self.transport.rmdir(tmpname)
+        except PathError, e:
+            note("error removing pending lock: %s", e)
 
     def _create_pending_dir(self):
         tmpname = '%s/%s.tmp' % (self.path, rand_chars(10))

